@echo off
rem If called without args, makes all tests. Otherwise
rem %1 must be the module name (without CHI) in UPPERCASE
rem %2 must be WIN or BGI if graphics is used
if "%1" == "" goto all
if not "%2" == "" goto %2

bcc -ml -v -DCHI%1_TEST CHI%1 chilibl.lib
del CHI%1.obj
goto end

:win
bcc -W -ml -v -eWCHI%1 -DCHI_%2 -DCHI%1_TEST CHI%1 chilibwl.lib
del CHI%1.obj
goto end

:bgi
bcc -ml -v -eBCHI%1 -DCHI_%2 -DCHI%1_TEST CHI%1 chilibbl.lib graphics.lib
del CHI%1.obj
goto end

:all
for %%f in (ARGS, ARRAY, DATE, ERROR, LIST, MAP, PRIOQ, QUEUE, STRNG) do call %0 %%f
for %%f in (SHAPE, GCBGI) do call %0 %%f BGI
for %%f in (SHAPE, GCWIN) do call %0 %%f WIN

:end

