@echo off
rem If called without args, makes all tests. Otherwise
rem %1 must be the module name (without CHI) in UPPERCASE
rem %2 must be WIN or BGI if graphics is used

rem change the include and library path to point to CHILIB in your system
rem here we assume we are in \CHILIB\EXAMPLES and it is in the parent directory
set CC=bcc -ml -v -I.. -L..

if "%1" == "" goto all
rem the next two are special--they need a framework file
for %%F in (BANK2, GRAPHED1) do if %%F == %1 goto %1
if not "%2" == "" goto %2

%CC% -ml -v -D%1_TEST %1 chilibl.lib
goto end

:bank2
%CC% -ml -v %1 simfrmwk.cpp chilibl.lib
goto end

:graphed1
%CC% -W -ml -v -eW%1 -DCHI_WIN %1 gedfrmwk chilibwl.lib
%CC% -ml -v -eB%1 -DCHI_BGI %1 gedfrmwk chilibbl.lib graphics.lib
goto end

:win
%CC% -W -ml -v -eW%1 -DCHI_%2 -D%1_TEST %1 chilibwl.lib
goto end

:bgi
%CC% -ml -v -eB%1 -DCHI_%2 -D%1_TEST %1 chilibbl.lib graphics.lib
goto end

:all
for %%F in (BANK1, BANK2, EMPLOYEE, MAIL, PSTREAM, GRAPHED1) do call %0 %%F
for %%F in (SHAPES1, SHAPES2, SHAPES3, SHAPES4, GRSTREAM) do call %0 %%F BGI
for %%F in (SHAPES1, SHAPES2, SHAPES3, SHAPES4, GRSTREAM) do call %0 %%F WIN

:end

